Установленные, но не работающие инструменты VMware

Я успешно установил VMwareTools-10.0.5-3228253.tar.gz на Kali Linux, начиная с версии 2016.1, используя это руководство:

https://github.com/rasa/vmware-tools-patches

  1. поместите VMwareTools-10.0.5-3228253.tar.gz в папку на рабочем столе с именем "new"
  2. на терминале запускается этот git clone https://github.com/rasa/vmware-tools- patches.git
  3. скопируйте содержимое папки vmware-tools-patches в «новую» папку на рабочем столе
  4. откройте терминал в «новой» папке и запустите эту команду ./untar-and-patch-and-compile.sh
  5. после того, как это делается на том же терминале, запустите это ./compile.sh
  6. извлеките VMwareTools-10.0.5-3228253.tar.gz в другую папку и откройте терминал в этой папке и запустите ./vmware-install.pl
  7. перезапустить виртуальную машину

перед этим я запускаю apt-get update && apt-get upgrade -y чтобы убедиться, что все обновлено и установлены заголовки, используя apt-get install linux-headers-$(uname -r) . Я пробовал много времени, устанавливая его, и после первой установки ему пришлось сначала удалить его, чтобы переустановить его, но я не думаю, что это может вызвать эту проблему, но я не уверен. Я не могу скопировать любой файл на / из хоста Windows 10 на виртуальную машину Kali Linux с помощью drag & drop, не могу копировать / вставлять тексты и т. Д.

вот службы, запущенные в настоящее время на моей гостевой виртуальной машине (рабочая станция VMware 12.1)

 root@kali:~# lsmod Module Size Used by nls_utf8 16384 1 isofs 40960 1 udf 90112 0 crc_itu_t 16384 1 udf bnep 20480 2 vmw_vsock_vmci_transport 28672 0 vsock 36864 1 vmw_vsock_vmci_transport fuse 94208 9 nfnetlink_queue 20480 0 nfnetlink_log 20480 0 nfnetlink 16384 2 nfnetlink_log,nfnetlink_queue bluetooth 512000 5 bnep rfkill 24576 4 bluetooth binfmt_misc 20480 1 snd_ens1371 28672 4 snd_rawmidi 32768 1 snd_ens1371 snd_seq_device 16384 1 snd_rawmidi snd_ac97_codec 126976 1 snd_ens1371 snd_pcm 102400 2 snd_ac97_codec,snd_ens1371 snd_timer 32768 1 snd_pcm snd 81920 14 snd_ac97_codec,snd_timer,snd_pcm,snd_rawmidi,snd_ens1371,snd_seq_device soundcore 16384 1 snd iosf_mbi 16384 0 ac97_bus 16384 1 snd_ac97_codec evdev 20480 6 ppdev 20480 0 psmouse 126976 0 pcspkr 16384 0 gameport 16384 1 snd_ens1371 serio_raw 16384 0 coretemp 16384 0 vmw_balloon 16384 0 sg 32768 0 parport_pc 28672 0 parport 49152 2 ppdev,parport_pc vmwgfx 233472 3 ttm 94208 1 vmwgfx 8250_fintek 16384 0 nfit 32768 0 battery 16384 0 drm_kms_helper 131072 1 vmwgfx drm 348160 6 ttm,drm_kms_helper,vmwgfx vmw_vmci 65536 1 vmw_vsock_vmci_transport shpchp 36864 0 acpi_cpufreq 20480 0 i2c_piix4 24576 0 processor 36864 1 acpi_cpufreq ac 16384 0 button 16384 0 autofs4 40960 2 ext4 577536 1 crc16 16384 2 ext4,bluetooth mbcache 20480 1 ext4 jbd2 106496 1 ext4 vmw_pvscsi 24576 0 vmxnet3 53248 0 hid_generic 16384 0 usbhid 49152 0 hid 118784 2 hid_generic,usbhid sd_mod 40960 3 sr_mod 24576 1 cdrom 57344 1 sr_mod crct10dif_pclmul 16384 0 crc32_pclmul 16384 0 ata_generic 16384 0 crc32c_intel 24576 0 jitterentropy_rng 16384 0 sha256_ssse3 28672 1 sha256_generic 24576 1 sha256_ssse3 hmac 16384 1 drbg 24576 1 ansi_cprng 16384 0 aesni_intel 167936 0 aes_x86_64 20480 1 aesni_intel lrw 16384 1 aesni_intel gf128mul 16384 1 lrw glue_helper 16384 1 aesni_intel ablk_helper 16384 1 aesni_intel cryptd 20480 2 aesni_intel,ablk_helper mptspi 24576 2 scsi_transport_spi 32768 1 mptspi uhci_hcd 45056 0 ehci_pci 16384 0 ata_piix 36864 1 ehci_hcd 77824 1 ehci_pci mptscsih 32768 1 mptspi libata 233472 2 ata_generic,ata_piix mptbase 77824 2 mptspi,mptscsih usbcore 233472 4 uhci_hcd,ehci_hcd,ehci_pci,usbhid e1000 135168 0 usb_common 16384 1 usbcore scsi_mod 229376 8 sg,scsi_transport_spi,libata,mptspi,vmw_pvscsi,sd_mod,sr_mod,mptscsih 

UPDATE вывод, когда я запускаю apt-get install open-vm-tools , все равно не имеет никакого значения.

 root@kali:~# apt-get install open-vm-tools Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: libxerces-c3.1 libxml-security-c17v5 Suggested packages: open-vm-tools-desktop The following NEW packages will be installed: libxerces-c3.1 libxml-security-c17v5 open-vm-tools 0 upgraded, 3 newly installed, 0 to remove and 7 not upgraded. Need to get 1,644 kB of archives. After this operation, 6,918 kB of additional disk space will be used. Do you want to continue? [Y/n] y Get:1 http://kali.mirror.garr.it/mirrors/kali kali-rolling/main amd64 libxerces-c3.1 amd64 3.1.2+debian-1 [851 kB] Get:2 http://kali.mirror.garr.it/mirrors/kali kali-rolling/main amd64 libxml-security-c17v5 amd64 1.7.3-1 [265 kB] Get:3 http://kali.mirror.garr.it/mirrors/kali kali-rolling/main amd64 open-vm-tools amd64 2:10.0.5-3227872-2 [528 kB] Fetched 1,644 kB in 2min 24s (11.4 kB/s) Selecting previously unselected package libxerces-c3.1:amd64. (Reading database ... 310318 files and directories currently installed.) Preparing to unpack .../libxerces-c3.1_3.1.2+debian-1_amd64.deb ... Unpacking libxerces-c3.1:amd64 (3.1.2+debian-1) ... Selecting previously unselected package libxml-security-c17v5:amd64. Preparing to unpack .../libxml-security-c17v5_1.7.3-1_amd64.deb ... Unpacking libxml-security-c17v5:amd64 (1.7.3-1) ... Selecting previously unselected package open-vm-tools. Preparing to unpack .../open-vm-tools_2%3a10.0.5-3227872-2_amd64.deb ... Unpacking open-vm-tools (2:10.0.5-3227872-2) ... Processing triggers for libc-bin (2.21-6) ... Processing triggers for man-db (2.7.5-1) ... Processing triggers for systemd (228-4) ... Setting up libxerces-c3.1:amd64 (3.1.2+debian-1) ... Setting up libxml-security-c17v5:amd64 (1.7.3-1) ... Setting up open-vm-tools (2:10.0.5-3227872-2) ... Configuration file '/etc/vmware-tools/poweroff-vm-default' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** poweroff-vm-default (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/poweroff- vm-default ... Configuration file '/etc/vmware-tools/poweron-vm-default' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** poweron-vm-default (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/poweron- vm-default ... Configuration file '/etc/vmware-tools/resume-vm-default' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** resume-vm-default (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/resume-vm-default ... Configuration file '/etc/vmware-tools/scripts/vmware/network' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** network (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/scripts/vmware /network ... Configuration file '/etc/vmware-tools/statechange.subr' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** statechange.subr (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/statechange.subr ... Configuration file '/etc/vmware-tools/suspend-vm-default' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** suspend-vm-default (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/suspend-vm-default ... Configuration file '/etc/vmware-tools/vgauth.conf' ==> File on system created by you or by a script. ==> File also in package provided by package maintainer. What would you like to do about it ? Your options are: Y or I : install the package maintainer's version N or O : keep your currently-installed version D : show the differences between the versions Z : start a shell to examine the situation The default action is to keep your current version. *** vgauth.conf (Y/I/N/O/D/Z) [default=N] ? y Installing new version of config file /etc/vmware-tools/vgauth.conf ... update-rc.d: We have no instructions for the open-vm-tools init script. update-rc.d: It looks like a non-network service, we enable it. Processing triggers for libc-bin (2.21-6) ... Processing triggers for systemd (228-4) ... root@kali:~# 

если у вас установлены open-vm-tools сначала удалите его, затем попробуйте:

 sudo apt-get install libfuse-dev sudo apt-get install open-vm-tools-desktop fuse 

это заставило меня бежать, используя кали

 user@user:~$ uname -r 4.6.0-kali1-amd64 user@user:~$ uname -a Linux mrRobot 4.6.0-kali1-amd64 #1 SMP Debian 4.6.4-1kali1 (2016-07-21) x86_64 GNU/Linux 

Kali Linux 2.0 – сводная версия, основанная на Debian 8.0. VMWare рекомендует использовать open-vm-tools для Debian 8.0.

Взгляните на статью поддержки VMWare для получения дополнительной информации и инструкций по установке open-vm-tools

http://partnerweb.vmware.com/GOSIG/Debian_8.html

Kali Linux 2.0 – сводная версия, основанная на Debian 8.0. VMWare рекомендует использовать open-vm-tools для Debian 8.0.

Взгляните на статью поддержки VMWare для получения дополнительной информации и инструкций по установке open-vm-tools

http://partnerweb.vmware.com/GOSIG/Debian_8.html

Open VM Tools – это реализация VMware Tools с открытым исходным кодом и включает набор утилит виртуализации, которые улучшают функциональность, администрирование и управление виртуальными машинами в гипервизорах VMware. VMware рекомендует использовать Open VM Tools, перераспределенные поставщиками операционной системы. Для получения дополнительной информации см. Статью базы знаний 2073803, поддержку VMware для открытых vm-инструментов, по адресу http://kb.vmware.com/kb/2073803 .

Установка Open VM Tools

  1. Добавьте следующую строку в файл /etc/apt/sources.list. deb http://ftp.debian.org/debian/ jessie main contrib
  2. Запустите команды: $ sudo apt-get update $ sudo apt-get install open-vm-tools

  3. Добавьте следующую строку в файл /etc/apt/sources.list. deb http://ftp.debian.org/debian/ jessie main contrib

  4. Запустите команды: $ sudo apt-get update $ sudo apt-get install open-vm-tools